/*******************************************************************************
* File Name: Interruptout.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Interruptout_H) /* Pins Interruptout_H */
#define CY_PINS_Interruptout_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Interruptout_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    Interruptout_Write(uint8 value) ;
void    Interruptout_SetDriveMode(uint8 mode) ;
uint8   Interruptout_ReadDataReg(void) ;
uint8   Interruptout_Read(void) ;
uint8   Interruptout_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Interruptout_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Interruptout_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Interruptout_DM_RES_UP          PIN_DM_RES_UP
#define Interruptout_DM_RES_DWN         PIN_DM_RES_DWN
#define Interruptout_DM_OD_LO           PIN_DM_OD_LO
#define Interruptout_DM_OD_HI           PIN_DM_OD_HI
#define Interruptout_DM_STRONG          PIN_DM_STRONG
#define Interruptout_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Interruptout_MASK               Interruptout__MASK
#define Interruptout_SHIFT              Interruptout__SHIFT
#define Interruptout_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Interruptout_PS                     (* (reg8 *) Interruptout__PS)
/* Data Register */
#define Interruptout_DR                     (* (reg8 *) Interruptout__DR)
/* Port Number */
#define Interruptout_PRT_NUM                (* (reg8 *) Interruptout__PRT) 
/* Connect to Analog Globals */                                                  
#define Interruptout_AG                     (* (reg8 *) Interruptout__AG)                       
/* Analog MUX bux enable */
#define Interruptout_AMUX                   (* (reg8 *) Interruptout__AMUX) 
/* Bidirectional Enable */                                                        
#define Interruptout_BIE                    (* (reg8 *) Interruptout__BIE)
/* Bit-mask for Aliased Register Access */
#define Interruptout_BIT_MASK               (* (reg8 *) Interruptout__BIT_MASK)
/* Bypass Enable */
#define Interruptout_BYP                    (* (reg8 *) Interruptout__BYP)
/* Port wide control signals */                                                   
#define Interruptout_CTL                    (* (reg8 *) Interruptout__CTL)
/* Drive Modes */
#define Interruptout_DM0                    (* (reg8 *) Interruptout__DM0) 
#define Interruptout_DM1                    (* (reg8 *) Interruptout__DM1)
#define Interruptout_DM2                    (* (reg8 *) Interruptout__DM2) 
/* Input Buffer Disable Override */
#define Interruptout_INP_DIS                (* (reg8 *) Interruptout__INP_DIS)
/* LCD Common or Segment Drive */
#define Interruptout_LCD_COM_SEG            (* (reg8 *) Interruptout__LCD_COM_SEG)
/* Enable Segment LCD */
#define Interruptout_LCD_EN                 (* (reg8 *) Interruptout__LCD_EN)
/* Slew Rate Control */
#define Interruptout_SLW                    (* (reg8 *) Interruptout__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Interruptout_PRTDSI__CAPS_SEL       (* (reg8 *) Interruptout__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Interruptout_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Interruptout__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Interruptout_PRTDSI__OE_SEL0        (* (reg8 *) Interruptout__PRTDSI__OE_SEL0) 
#define Interruptout_PRTDSI__OE_SEL1        (* (reg8 *) Interruptout__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Interruptout_PRTDSI__OUT_SEL0       (* (reg8 *) Interruptout__PRTDSI__OUT_SEL0) 
#define Interruptout_PRTDSI__OUT_SEL1       (* (reg8 *) Interruptout__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Interruptout_PRTDSI__SYNC_OUT       (* (reg8 *) Interruptout__PRTDSI__SYNC_OUT) 


#if defined(Interruptout__INTSTAT)  /* Interrupt Registers */

    #define Interruptout_INTSTAT                (* (reg8 *) Interruptout__INTSTAT)
    #define Interruptout_SNAP                   (* (reg8 *) Interruptout__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins Interruptout_H */


/* [] END OF FILE */
