/*******************************************************************************
* File Name: LEDdrive.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_LEDdrive_H) /* Pins LEDdrive_H */
#define CY_PINS_LEDdrive_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "LEDdrive_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    LEDdrive_Write(uint8 value) ;
void    LEDdrive_SetDriveMode(uint8 mode) ;
uint8   LEDdrive_ReadDataReg(void) ;
uint8   LEDdrive_Read(void) ;
uint8   LEDdrive_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define LEDdrive_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define LEDdrive_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define LEDdrive_DM_RES_UP          PIN_DM_RES_UP
#define LEDdrive_DM_RES_DWN         PIN_DM_RES_DWN
#define LEDdrive_DM_OD_LO           PIN_DM_OD_LO
#define LEDdrive_DM_OD_HI           PIN_DM_OD_HI
#define LEDdrive_DM_STRONG          PIN_DM_STRONG
#define LEDdrive_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define LEDdrive_MASK               LEDdrive__MASK
#define LEDdrive_SHIFT              LEDdrive__SHIFT
#define LEDdrive_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define LEDdrive_PS                     (* (reg8 *) LEDdrive__PS)
/* Data Register */
#define LEDdrive_DR                     (* (reg8 *) LEDdrive__DR)
/* Port Number */
#define LEDdrive_PRT_NUM                (* (reg8 *) LEDdrive__PRT) 
/* Connect to Analog Globals */                                                  
#define LEDdrive_AG                     (* (reg8 *) LEDdrive__AG)                       
/* Analog MUX bux enable */
#define LEDdrive_AMUX                   (* (reg8 *) LEDdrive__AMUX) 
/* Bidirectional Enable */                                                        
#define LEDdrive_BIE                    (* (reg8 *) LEDdrive__BIE)
/* Bit-mask for Aliased Register Access */
#define LEDdrive_BIT_MASK               (* (reg8 *) LEDdrive__BIT_MASK)
/* Bypass Enable */
#define LEDdrive_BYP                    (* (reg8 *) LEDdrive__BYP)
/* Port wide control signals */                                                   
#define LEDdrive_CTL                    (* (reg8 *) LEDdrive__CTL)
/* Drive Modes */
#define LEDdrive_DM0                    (* (reg8 *) LEDdrive__DM0) 
#define LEDdrive_DM1                    (* (reg8 *) LEDdrive__DM1)
#define LEDdrive_DM2                    (* (reg8 *) LEDdrive__DM2) 
/* Input Buffer Disable Override */
#define LEDdrive_INP_DIS                (* (reg8 *) LEDdrive__INP_DIS)
/* LCD Common or Segment Drive */
#define LEDdrive_LCD_COM_SEG            (* (reg8 *) LEDdrive__LCD_COM_SEG)
/* Enable Segment LCD */
#define LEDdrive_LCD_EN                 (* (reg8 *) LEDdrive__LCD_EN)
/* Slew Rate Control */
#define LEDdrive_SLW                    (* (reg8 *) LEDdrive__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define LEDdrive_PRTDSI__CAPS_SEL       (* (reg8 *) LEDdrive__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define LEDdrive_PRTDSI__DBL_SYNC_IN    (* (reg8 *) LEDdrive__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define LEDdrive_PRTDSI__OE_SEL0        (* (reg8 *) LEDdrive__PRTDSI__OE_SEL0) 
#define LEDdrive_PRTDSI__OE_SEL1        (* (reg8 *) LEDdrive__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define LEDdrive_PRTDSI__OUT_SEL0       (* (reg8 *) LEDdrive__PRTDSI__OUT_SEL0) 
#define LEDdrive_PRTDSI__OUT_SEL1       (* (reg8 *) LEDdrive__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define LEDdrive_PRTDSI__SYNC_OUT       (* (reg8 *) LEDdrive__PRTDSI__SYNC_OUT) 


#if defined(LEDdrive__INTSTAT)  /* Interrupt Registers */

    #define LEDdrive_INTSTAT                (* (reg8 *) LEDdrive__INTSTAT)
    #define LEDdrive_SNAP                   (* (reg8 *) LEDdrive__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins LEDdrive_H */


/* [] END OF FILE */
