/*******************************************************************************
* File Name: PGAout.h  
* Version 1.80
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_PGAout_H) /* Pins PGAout_H */
#define CY_PINS_PGAout_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "PGAout_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    PGAout_Write(uint8 value) ;
void    PGAout_SetDriveMode(uint8 mode) ;
uint8   PGAout_ReadDataReg(void) ;
uint8   PGAout_Read(void) ;
uint8   PGAout_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define PGAout_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define PGAout_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define PGAout_DM_RES_UP          PIN_DM_RES_UP
#define PGAout_DM_RES_DWN         PIN_DM_RES_DWN
#define PGAout_DM_OD_LO           PIN_DM_OD_LO
#define PGAout_DM_OD_HI           PIN_DM_OD_HI
#define PGAout_DM_STRONG          PIN_DM_STRONG
#define PGAout_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define PGAout_MASK               PGAout__MASK
#define PGAout_SHIFT              PGAout__SHIFT
#define PGAout_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define PGAout_PS                     (* (reg8 *) PGAout__PS)
/* Data Register */
#define PGAout_DR                     (* (reg8 *) PGAout__DR)
/* Port Number */
#define PGAout_PRT_NUM                (* (reg8 *) PGAout__PRT) 
/* Connect to Analog Globals */                                                  
#define PGAout_AG                     (* (reg8 *) PGAout__AG)                       
/* Analog MUX bux enable */
#define PGAout_AMUX                   (* (reg8 *) PGAout__AMUX) 
/* Bidirectional Enable */                                                        
#define PGAout_BIE                    (* (reg8 *) PGAout__BIE)
/* Bit-mask for Aliased Register Access */
#define PGAout_BIT_MASK               (* (reg8 *) PGAout__BIT_MASK)
/* Bypass Enable */
#define PGAout_BYP                    (* (reg8 *) PGAout__BYP)
/* Port wide control signals */                                                   
#define PGAout_CTL                    (* (reg8 *) PGAout__CTL)
/* Drive Modes */
#define PGAout_DM0                    (* (reg8 *) PGAout__DM0) 
#define PGAout_DM1                    (* (reg8 *) PGAout__DM1)
#define PGAout_DM2                    (* (reg8 *) PGAout__DM2) 
/* Input Buffer Disable Override */
#define PGAout_INP_DIS                (* (reg8 *) PGAout__INP_DIS)
/* LCD Common or Segment Drive */
#define PGAout_LCD_COM_SEG            (* (reg8 *) PGAout__LCD_COM_SEG)
/* Enable Segment LCD */
#define PGAout_LCD_EN                 (* (reg8 *) PGAout__LCD_EN)
/* Slew Rate Control */
#define PGAout_SLW                    (* (reg8 *) PGAout__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define PGAout_PRTDSI__CAPS_SEL       (* (reg8 *) PGAout__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define PGAout_PRTDSI__DBL_SYNC_IN    (* (reg8 *) PGAout__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define PGAout_PRTDSI__OE_SEL0        (* (reg8 *) PGAout__PRTDSI__OE_SEL0) 
#define PGAout_PRTDSI__OE_SEL1        (* (reg8 *) PGAout__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define PGAout_PRTDSI__OUT_SEL0       (* (reg8 *) PGAout__PRTDSI__OUT_SEL0) 
#define PGAout_PRTDSI__OUT_SEL1       (* (reg8 *) PGAout__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define PGAout_PRTDSI__SYNC_OUT       (* (reg8 *) PGAout__PRTDSI__SYNC_OUT) 


#if defined(PGAout__INTSTAT)  /* Interrupt Registers */

    #define PGAout_INTSTAT                (* (reg8 *) PGAout__INTSTAT)
    #define PGAout_SNAP                   (* (reg8 *) PGAout__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins PGAout_H */


/* [] END OF FILE */
