/*******************************************************************************
* File Name: StatusReg.h  
* Version 1.80
*
* Description:
*  This file containts Status Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_STATUS_REG_StatusReg_H) /* CY_STATUS_REG_StatusReg_H */
#define CY_STATUS_REG_StatusReg_H

#include "cytypes.h"
#include "CyLib.h"


/***************************************
*        Function Prototypes
***************************************/

uint8 StatusReg_Read(void) ;
void StatusReg_InterruptEnable(void) ;
void StatusReg_InterruptDisable(void) ;
void StatusReg_WriteMask(uint8 mask) ;
uint8 StatusReg_ReadMask(void) ;


/***************************************
*           API Constants
***************************************/

#define StatusReg_STATUS_INTR_ENBL    0x10u


/***************************************
*         Parameter Constants
***************************************/

/* Status Register Inputs */
#define StatusReg_INPUTS              1


/***************************************
*             Registers
***************************************/

/* Status Register */
#define StatusReg_Status             (* (reg8 *) StatusReg_sts_intr_sts_reg__STATUS_REG )
#define StatusReg_Status_PTR         (  (reg8 *) StatusReg_sts_intr_sts_reg__STATUS_REG )
#define StatusReg_Status_Mask        (* (reg8 *) StatusReg_sts_intr_sts_reg__MASK_REG )
#define StatusReg_Status_Aux_Ctrl    (* (reg8 *) StatusReg_sts_intr_sts_reg__STATUS_AUX_CTL_REG )

#endif /* End CY_STATUS_REG_StatusReg_H */


/* [] END OF FILE */
